/*
 * This filters the attribute option select boxes.
 */

$(document).ready(function() {  
  $(".add-to-cart select").change(ucasf_onSelectChange);
  $('.add-to-cart select').find('option:first').attr('selected', 'selected').parent('select'); //Reset boxes on (re)load
});


function ucasf_onSelectChange() {
  var ucasf_parentForm = 'form#'+ $(this).parents('form').get(0).id; // Grab id of parent form tag.
  var ucasf_parentId = '#'+ $(this).parent().get(0).id; // Grab id of parent of active option
  var ucasf_selected = $(ucasf_parentForm +" "+ ucasf_parentId +" option:selected").val(); // Grab value of selected option
  $(ucasf_parentForm +" option").not($(ucasf_parentForm +" "+ ucasf_parentId +" option")).show(); // Make sure all options are visible initially
  $(ucasf_parentForm +" option").not($(ucasf_parentForm +" "+ ucasf_parentId +" option")).removeAttr('disabled');

  if (!ucasf_selected) { // If 'Choose...' (NULL) is selected, reset other boxes too.
    $(ucasf_parentForm +' select').find('option:first').attr('selected', 'selected').parent('select'); 
    $(ucasf_parentForm +" option").show(); // Make sure all options visible
    $(ucasf_parentForm +" option").removeAttr('disabled');
  }
  $(ucasf_parentForm +" option") // Iterate over options
    .not($(ucasf_parentForm +" "+ ucasf_parentId +" option")) // .. excluding the active select box
    .each(function() {
      if (this.value) {
        if (typeof ucasf_availableOptions[ucasf_selected] != 'undefined') { // Avoid triggering a JS error
          if (ucasf_availableOptions[ucasf_selected].indexOf(this.value) == -1) { // If the option value isn't in the array ...
            if (jQuery.browser.msie) {
              $(this).remove(); // Hide it
            }
            else if (jQuery.browser.mozilla) { 
              $(this).attr('disabled', 'disabled');
              $(this).hide(); // Firefox doesn't change the appearance of disabled options, so we hide them instead
            }
            else { // It's a proper browser
              $(this).attr('disabled', 'disabled');
            }
          }
        }
      }
  });
}


// Fixes indexOf for IE
if(!Array.indexOf){
	    Array.prototype.indexOf = function(obj){
	        for(var i=0; i<this.length; i++){
	            if(this[i]==obj){
	                return i;
	            }
	        }
	        return -1;
	    }
	}
